View Issue Details

IDProjectCategoryView StatusLast Update
0016678LazarusLCLpublic2010-06-26 16:49
ReporterSelzig HEMAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version 
Summary0016678: TEdit.SelStart : bug with Gtk2
DescriptionThe attached zip code works fine on Windows but not on Ubuntu 10.04 [Gtk2]
TagsNo tags attached.
Fixed in Revision26253
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0007243 closedZeljan Rikalo TEdit SelStart behaves different (incorrectly) under linux 

Activities

2010-06-08 14:44

 

bug_selstart.zip (2,477 bytes)

Zeljan Rikalo

2010-06-08 14:47

developer   ~0038392

Please provide exact gtk2 version eg.2.20

Christian Ortiz

2010-06-08 19:17

reporter   ~0038404

i tested with ubuntu 9.10 and same error. Gtk version: 2.18.3

Selzig HEM

2010-06-08 19:17

reporter   ~0038405

Hello

Sorry,
I installed another version of ubuntu... and the problem is the same.
-----------------------------------------------------------------------------
cat /etc/issue
Ubuntu 9.10
dpkg -l | grep 'The GTK+ graphical'
ii libgtk2.0-0 2.18.3-1ubuntu2.2 The GTK+ graphical user interface library
pkg-config --modversion gtk+-2.0
2.18.3
-----------------------------------------------------------------------------
Lazarus
Version #:0.9.29
Date: 2010-06-08
Version FPC: 2.4.0
Revision SVN: 25971M
i386-linux-gtk 2(beta)
-----------------------------------------------------------------------------
Is this what you need ?

Best regards

Zeljan Rikalo

2010-06-08 19:52

developer   ~0038406

yes, thanks.

Zeljan Rikalo

2010-06-08 19:58

developer   ~0038407

I've reproduced it with gtk2-2.12 so, we'll fix it somehow (but after gtk/gtk2 splitting).

Zeljan Rikalo

2010-06-22 13:55

developer   ~0038737

Please test and close if ok.

Selzig HEM

2010-06-26 16:49

reporter   ~0038817

Tested with :
 cat /etc/issue --------------------> Ubuntu 10.04 LTS
 pkg-config --modversion gtk+-2.0 --> 2.20.1
 lazarus 0.9.29 - SVN 26289
 Version FPC: 2.4.1
 i386-linux-gtk 2(beta)

It works fine. Thanks.
Best regards.

Issue History

Date Modified Username Field Change
2010-06-08 14:44 Selzig HEM New Issue
2010-06-08 14:44 Selzig HEM File Added: bug_selstart.zip
2010-06-08 14:44 Selzig HEM Widgetset => GTK 2
2010-06-08 14:47 Zeljan Rikalo LazTarget => -
2010-06-08 14:47 Zeljan Rikalo Note Added: 0038392
2010-06-08 14:47 Zeljan Rikalo Status new => feedback
2010-06-08 19:17 Christian Ortiz Note Added: 0038404
2010-06-08 19:17 Selzig HEM Note Added: 0038405
2010-06-08 19:52 Zeljan Rikalo Note Added: 0038406
2010-06-08 19:58 Zeljan Rikalo Note Added: 0038407
2010-06-08 19:58 Zeljan Rikalo Status feedback => confirmed
2010-06-08 19:59 Zeljan Rikalo Relationship added related to 0007243
2010-06-22 13:55 Zeljan Rikalo Fixed in Revision => 26253
2010-06-22 13:55 Zeljan Rikalo Status confirmed => resolved
2010-06-22 13:55 Zeljan Rikalo Resolution open => fixed
2010-06-22 13:55 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-06-22 13:55 Zeljan Rikalo Note Added: 0038737
2010-06-26 16:49 Selzig HEM Status resolved => closed
2010-06-26 16:49 Selzig HEM Note Added: 0038817